%define _libdir /usr/lib

Name:           cowbell
Version:        0.2.7.1
Release:        2%{?dist}
Summary:        Music organazier

Group:         	Applications/Multimedia 
License:       	GPL 
URL:           	http://more-cowbell.org/ 
Source0:       	http://more-cowbell.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	mono-devel, gtk-sharp2, gtk-sharp2-gapi
BuildRequires: 	taglib-devel 
BuildRequires:  scrollkeeper, desktop-file-utils
Requires:	mono-core, gtk-sharp2
Requires(post): scrollkeeper, desktop-file-utils
Requires(postun): scrollkeeper, desktop-file-utils


%description
Cowbell is an elegant, album-based, music organizer
written by Brad Taylor in C# for Gtk+. Using TagLib, 
it supports many audio formats including: Mp3, Ogg 
Vorbis and MusePack

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

desktop-file-install --vendor fedora --delete-original \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/cowbell
%{_libdir}/cowbell
%{_datadir}/icons/hicolor/48x48/apps/cowbell.png
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/scalable/apps/cowbell.svg


%changelog
* Thu May 11 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-2
- Add missing mono-core and gtk-sharp2 Requires
- Add scriplets for gtk+ icon cache
- Removed ChangeLog from %doc
- Don't include static library 
- Remove gettext BuildRequires
* Tue May 09 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.7.1-1
- New release, 0.2.7.1
- Define libdir like suggested in the wiki
* Mon Apr 24 2006 John Mahowald <jpmahowald@gmail.com> - 0.2.7-1
- 0.2.7
* Sun Apr 02 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.6.1-2
- Fix x86_64 build issue by replacing %{_libdir}
* Sat Apr 01 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 0.2.6.1-1
- Initial build
